Bug 759847

Summary: qemu-kvm/spice dies on red_channel_remove_client: ASSERT pthread_equal(pthread_self(), rcc->channel->thread_id) during disconnect.
Product: [Fedora] Fedora Reporter: Gilboa Davara <gilboad>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: amit.shah, bazanluis20, berrange, crobinso, dougsland, dwmw2, itamar, jaswinder, jforbes, jlmagee, knoel, scottt.tw, tburke, virt-maint, xufango
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-11 17:28:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Callstack dump
none
abrt backtrace
none
client log
none
client log
none
host log
none
vm xml defn
none
abrt maps
none
system log of incident
none
windows vdagent log
none
windows vdservice log
none
host smolt data none

Description Gilboa Davara 2011-12-04 05:20:43 EST
Created attachment 540262 [details]
Callstack dump

I'm using qemu-kvm w/ spice on a fully updated Fedora 16/x86_64 machine.
When a client (be that spicec or vinagre) disconnects from a Fedora 15 guest, qemu-kvm asserts and dies. (Log attached)
I'm managed to reproduce it 4 times both with 32bit and 64bit Fedora 15 guests.
No abrt log was created (Size limit?)

Guest command line:
qemu-kvm -cdrom /dev/sr0 -serial telnet::9002,server,nowait -soundhw es1370 -net nic,vlan=1,macaddr=00:E0:81:B0:FB:02,model=rtl8139 -net tap,vlan=1,ifname=tap21 -net nic,vlan=2,macaddr=00:E0:81:B0:FB:12,model=e1000 -net tap,vlan=2,ifname=tap23 -net nic,vlan=3,macaddr=9E:20:86:96:72:22,model=e1000 -net tap,vlan=3,ifname=tap24 -net nic,vlan=4,macaddr=6E:AA:C4:CB:FA:32,model=e1000 -net tap,vlan=4,ifname=tap25 -net nic,vlan=5,macaddr=A2:EE:EC:3A:47:42,model=e1000 -net tap,vlan=5,ifname=tap26 -m 2048 -name gilboa-vmh-probe -hda /usr/drives/kvm/gilboa-vmh-probe/gilboa-vmh-probe.img -smp 4 -usb -usbdevice tablet -vga qxl -spice port=5902,disable-ticketing -device virtio-serial -chardev spicevmc,id=vdagent,debug=0,name=vdagent -device virtserialport,chardev=vdagent,name=com.redhat.spice.0 -boot c

Versions:
spice-server-0.9.1-1.fc16.x86_64
spice-gtk3-devel-0.7.39-1.fc16.x86_64
spice-client-0.9.1-1.fc16.x86_64
spice-gtk-0.7.39-1.fc16.x86_64
spice-gtk-python-0.7.39-1.fc16.x86_64
spice-gtk3-0.7.39-1.fc16.x86_64
spice-gtk-tools-0.7.39-1.fc16.x86_64
spice-protocol-0.10.0-1.fc16.noarch
spice-glib-0.7.39-1.fc16.x86_64
spice-glib-devel-0.7.39-1.fc16.x86_64
Comment 1 John L Magee 2011-12-10 12:09:01 EST
Created attachment 544922 [details]
abrt backtrace
Comment 2 John L Magee 2011-12-10 12:09:50 EST
Created attachment 544923 [details]
client log
Comment 3 John L Magee 2011-12-10 12:10:13 EST
Created attachment 544924 [details]
client log
Comment 4 John L Magee 2011-12-10 12:10:37 EST
Created attachment 544925 [details]
host log
Comment 5 John L Magee 2011-12-10 12:11:17 EST
Created attachment 544926 [details]
vm xml defn
Comment 6 John L Magee 2011-12-10 12:11:52 EST
Created attachment 544927 [details]
abrt maps
Comment 7 John L Magee 2011-12-10 12:12:24 EST
Created attachment 544928 [details]
system log of incident
Comment 8 John L Magee 2011-12-10 12:13:03 EST
Created attachment 544929 [details]
windows vdagent log
Comment 9 John L Magee 2011-12-10 12:13:28 EST
Created attachment 544930 [details]
windows vdservice log
Comment 10 John L Magee 2011-12-10 12:16:18 EST
Created attachment 544931 [details]
host smolt data
Comment 11 John L Magee 2011-12-14 07:35:30 EST
This issue is a real PITA. Any chance it will be addressed soon?
Comment 12 John L Magee 2011-12-18 20:32:36 EST
This issue appears to be related to use of the es1370 sound virtual sound device. The failure does not occur with ac97 or ich6. (Of course I cannot find a Windows XP driver for ich6.)

It still should not crash the VM.
Comment 13 Fedora Admin XMLRPC Client 2012-03-15 13:56:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Xu Fang 2012-11-27 03:50:34 EST
please see: 

https://bugzilla.redhat.com/show_bug.cgi?id=823472
Comment 15 Fedora End Of Life 2013-01-16 15:41:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Cole Robinson 2013-02-11 17:28:58 EST
F16 is EOL, and I'm assuming this crash is fixed in new fedora since there weren't any reports. If anyone is still seeing crashes on F18, please file a new report. Thanks